%define __libtoolize /bin/true
%define libmajor 0
%define name katalog
%define libname %mklibname %name %libmajor

Name:		%{name}
Version:	0.4
Release:	%mkrel 6
Group:		Archiving/Other
License:	GPL
URL:		http://salvaste.altervista.org/
Source:		http://salvaste.altervista.org/%{name}-%{version}.tar.bz2
Patch0:		katalog-0.4-gcc43.patch
BuildRequires:	kdelibs-devel
BuildRequires:	sqlite3-devel
BuildRequires:	python
BuildConflicts:	scons
Summary:	CD organizer for the K Desktop Environment
Buildroot:	%{_tmppath}/%{name}-%{version}-%{release}-root
Obsoletes:	%libname

%description
With this application you can scan a CD and store all the data about each
file in a tree structured catalog. You can add as many catalogs as you like.
Searching through the catalogs it's easy and fast.

The folder to search can be on your drive or on a removable media, such a CD,
ZIP or floppy.

Katalog saves data in a XML file, compressed on the fly using gzip.

%prep
%setup -q
%patch0 -p0

%build
%setup_compile_flags
./configure \
    prefix=%{_kde3_prefix} \
    execprefix=%{_kde3_prefix} \
    datadir=%{_kde3_datadir} \
    libdir=%{_kde3_libdir}
./scons %_smp_mflags

%install
rm -Rf %{buildroot}
./scons DESTDIR=%{buildroot} install

# fwang: dispatch the plugins into correct dir
mkdir -p %{buildroot}%{qt3plugins}/sqldrivers
%if "%{qt3dir}/plugins" != "%{qt3plugins}"
mv %{buildroot}%{qt3dir}/plugins/sqldrivers/* %{buildroot}%{qt3plugins}/sqldrivers
%endif

%clean
rm -Rf %{buildroot}

%files
%defattr(-,root,root)
%doc README AUTHORS ChangeLog TODO NEWS
%{_kde3_bindir}/*
%{_kde3_datadir}/services/*
%{_kde3_datadir}/mimelnk/*/*
%{_kde3_datadir}/apps/%{name}
%{_kde3_datadir}/apps/konqueror/servicemenus/*.desktop
%{_kde3_datadir}/apps/konqsidebartng/virtual_folders/services/*.desktop
%{_kde3_iconsdir}/*/*/*/%{name}*.png
%{_kde3_libdir}/kde3/*
%{qt3plugins}/sqldrivers/*


%changelog
* Mon Sep 15 2008 Funda Wang <fundawang@mandriva.org> 0.4-6mdv2009.0
+ Revision: 284925
- only moving when needed
- BR python
- add gcc 4.3 patch
- switch to /opt
- use own scons to build (it fails on installing when usign external scons)

  + Thierry Vignaud <tvignaud@mandriva.com>
    - rebuild

* Mon Feb 18 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.4-4mdv2008.1
+ Revision: 170909
- rebuild
- fix "foobar is blabla" summary (=> "blabla") so that it looks nice in rpmdrake
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Thu Oct 25 2007 Funda Wang <fundawang@mandriva.org> 0.4-3mdv2008.1
+ Revision: 101953
- fix bug# 34977, binaries are wrongly put into /usr/bin/bin
- drop libkatalog package, because it is not versioned.

* Mon Jun 25 2007 Funda Wang <fundawang@mandriva.org> 0.4-2mdv2008.0
+ Revision: 43976
- migerate to whole scons command
- BR sqlite3
- fix package conflict
- New upstream version
  adopt to new devel package policy
  devel package not avaliable?


* Fri Jul 14 2006 Nicolas Lcureuil <neoclust@mandriva.org> 0.3-3mdv2007.0
- Rebuild

* Thu May 05 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.3-2mdk
- Fix build for amd64

* Thu Nov 11 2004 Buchan Milne <bgmilne@linux-mandrake.com> 0.3-1mdk
- Initial Mandrake package

